/*
 * gsm_dal.h
 *
 *  Created on: Nov 26, 2018
 *      Author: Vladik
 */

#ifndef GSM_DAL_H_
#define GSM_DAL_H_

#include <main.h>
#include <gsm_driver.h>

/* Functions related to the PROCESSING SECTION of FSM*/
extern int gsm_idle_state(gsm_device_t *module);
extern int gsm_SMS_tbread(gsm_device_t *module);
extern int gsm_SMS_publish(gsm_device_t *module);
extern int gsm_SMS_del(gsm_device_t *module);
extern int gsm_mod_dialed(gsm_device_t *module);
extern int gsm_mod_hangup(gsm_device_t *module);

extern int gms_MMS_send(gsm_device_t *module);

/* Sub-functions of the PROCESSING SECTION*/
extern void Poteron_Device_Reset(void);

/* Functions related to RECEIVING SECTION and NOT RESPOND section of FSM*/
extern int gsm_rec_respnd2(gsm_device_t *module, uint8_t print);
extern int gsm_missed_response(gsm_device_t *module);
extern int gsm_upload_mode(gsm_device_t *module);

#endif /* GSM_DAL_H_ */
